<%@ page language="java" contentType="text/html" %>
<%@ taglib uri="/orataglib" prefix="ora" %>

<jsp:useBean 
  id="catalog"
  scope="application"
  class="com.ora.jsp.beans.shopping.CatalogBean"
/>

<jsp:useBean 
  id="cart"
  scope="session"
  class="com.ora.jsp.beans.shopping.CartBean"
/>

<%-- Get the ProductBean from the catalog and save it in the cart --%>
<ora:useProperty id="product" name="catalog" property="product" 
  arg='<%= request.getParameter("id") %>'
  className="com.ora.jsp.beans.shopping.ProductBean" />

<jsp:setProperty name="cart" property="product" value="<%= product %>" />

<%-- Redirect back to the catalog page --%>
<ora:redirect page="catalog.jsp" />
