<%@ page language="java" contentType="text/html" %>
<%@ page import="com.ora.jsp.util.*" %>
<%@ taglib uri="/orataglib" prefix="ora" %>
<html>
  <head>
    <title>Employee Entry Form</title>
  </head>
  <body bgcolor="white">

    <jsp:useBean id="errorMessages" scope="request" class="java.util.Vector" />

    <%-- Output list of values with invalid format, if any --%>
    <ul>
      <font color="red">
        <ora:loop name="errorMessages" loopId="msg" className="String" >
          <li> <%= msg %>
        </ora:loop>
      </font>
    </ul>

    Please enter information about an employee below:
    <%-- Output form with submitted values --%>
    <form action="validate.jsp" method="post">
      <table>
        <tr>
          <td>User Name:</td>
          <td><input type="text" name="userName"
            value='<%= StringFormat.toHTMLString(request.getParameter("userName")) %>' >
          </td>
        </tr>
        <tr>
          <td>Password:</td>
          <td><input type="text" name="password"
            value='<%= StringFormat.toHTMLString(request.getParameter("password")) %>' >
          </td>
        </tr>
        <tr>
          <td>First Name:</td>
          <td><input type="text" name="firstName"
            value='<%= StringFormat.toHTMLString(request.getParameter("firstName")) %>' >
          </td>
        </tr>
        <tr>
          <td>Last Name:</td>
          <td><input type="text" name="lastName"
            value='<%= StringFormat.toHTMLString(request.getParameter("lastName")) %>' >
          </td>
        </tr>
        <tr>
          <td>Department:</td>
          <td><input type="text" name="dept"
            value='<%= StringFormat.toHTMLString(request.getParameter("dept")) %>' >
          </td>
        </tr>
        <tr>
          <td>Employment Date:</td>
          <td><input type="text" name="empDate"
            value='<%= StringFormat.toHTMLString(request.getParameter("empDate")) %>' >
          </td>
          <td>(Use format yyyy-mm-dd)</td>
        </tr>
        <tr>
          <td>Email Address:</td>
          <td><input type="text" name="emailAddr"
            value='<%= StringFormat.toHTMLString(request.getParameter("emailAddr")) %>' >
          </td>
          <td>(Use format name@company.com)</td>
        </tr>
        <tr>
          <td colspan=2><input type="submit" value="Submit"></td>
        </tr>
      </table>
    </form>

  </body>
</html>
