<%@ page language="java" contentType="text/html" %>
<%@ page import="com.ora.jsp.util.*" %>

<script language="JavaScript">
  <!-- Hide from browsers without JavaScript support

  function isValidForm(theForm) {
    if (isEmpty(theForm.userName.value)) {
      theForm.userName.focus();
      return false;
    }
    if (!isValidDate(theForm.birthDate.value)) {
      theForm.birthDate.focus();
      return false;
    }
    if (!isValidEmailAddr(theForm.emailAddr.value)) {
      theForm.emailAddr.focus();
      return false;
    }
    var choices = new Array("male", "female");
    if (!isValidChoice(theForm.sex.value, choices)) {
      theForm.sex.focus();
      return false;
    }
    if (!isValidNumber(theForm.luckyNumber.value, 1, 100)) {
      theForm.luckyNumber.focus();
      return false;
    }
    return true;
  }

  function isEmpty(aStr) {
    if (aStr.length == 0) {
      alert("Mandatory field is empty");
      return true;
    }
    return false;
  }

  function isValidDate(dateStr) {
    var matchArray = dateStr.match(/^[0-9]+-[0-1][0-9]-[0-3][0-9]$/)
    if (matchArray == null) {
      alert("Invalid date: " + dateStr);
      return false;
    }
    return true;
  }

  function isValidEmailAddr(emailStr) {
    var matchArray = emailStr.match(/^(.+)@(.+)\.(.+)$/)
    if (matchArray == null) {
      alert("Invalid email address: " + emailStr);
      return false;
    }
    return true;
  }

  function isValidNumber(numbStr, start, stop) {
    var matchArray = numbStr.match(/^[0-9]+$/)
    if (matchArray == null) {
      alert("Invalid number: " + numbStr);
      return false;
    }
    if (numbStr < start || numbStr > stop) {
      alert("Number not within range (" + start + "-" +
        stop + "): " + numbStr);
      return false;
    }
    return true;
  }

  function isValidChoice(choiceStr, choices) {
    var isValid = false;
    for (var i = 0; i < choices.length; i++) {
      if (choices[i].toLowerCase() == choiceStr.toLowerCase()) {
        isValid = true;
        break;
      }
    }
    if (isValid == false) {
      alert("Invalid choice: " + choiceStr);
    }
    return isValid;
  }

-->
</script>

<html>
  <head>
    <title>User Info Entry Form</title>
  </head>
  <body bgcolor="white">
    <jsp:useBean id="userInfo"
      class="com.ora.jsp.beans.userinfo.UserInfoBean"
      scope="request" />

    <%-- Output list of values with invalid format, if any --%>
    <font color="red">
      <jsp:getProperty name="userInfo" property="propertyStatusMsg" />
    </font>

    <%-- Output form with submitted valid values --%>
    <form action="userinfovalidate.jsp" method="post"
      onSubmit="return isValidForm(this)">
      <table>
        <tr>
          <td>Name:</td>
          <td><input type="text" name="userName"
            value="<%= StringFormat.toHTMLString(userInfo.getUserName()) %>" >
          </td>
        </tr>
        <tr>
          <td>Birth Date:</td>
          <td><input type="text" name="birthDate"
            value="<%= StringFormat.toHTMLString(userInfo.getBirthDate()) %>" >
          </td>
          <td>(Use format yyyy-mm-dd)</td>
        </tr>
        <tr>
          <td>Email Address:</td>
          <td><input type="text" name="emailAddr"
            value="<%= StringFormat.toHTMLString(userInfo.getEmailAddr()) %>" >
          </td>
          <td>(Use format name@company.com)</td>
        </tr>
        <tr>
          <td>Sex:</td>
          <td><input type="text" name="sex"
            value="<%= StringFormat.toHTMLString(userInfo.getSex()) %>" >
          </td>
          <td>(Male or female)</td>
        </tr>
        <tr>
          <td>Lucky number:</td>
          <td><input type="text" name="luckyNumber"
            value="<%= StringFormat.toHTMLString(userInfo.getLuckyNumber()) %>">
          </td>
          <td>(A number between 1 and 100)</td>
        </tr>
        <tr>
          <td colspan=2><input type="submit"></td>
        </tr>
      </table>
    </form>
  </body>
</html>


